using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HumanLikeBattleRobots.Graphic;

namespace HumanLikeBattleRobots.Logic
{
    class MyLegs: Legs
    {
        public MyLegs(Vec2f centralPosition, float angle, List<List<Sprite>> sprites) : 
            base(centralPosition, angle, sprites)
        {
        }
    
        protected override void SetParams()
        {
 	        axisLength = 70;
            leftLeg = new MyLegSprite(1, true);
            rightLeg = new MyLegSprite(1, false);
            maxAngle = Math.PI / 6;
            health = 20;
            maxHealth = 20;
        }
    }
}
